Package: org.grails.buffer

## [Java] Class StreamCharBuffer.AbstractChunkReader

- org.grails.buffer.StreamCharBuffer.AbstractChunkReader

-     abstract class StreamCharBuffer.AbstractChunkReader
      extends ChunkReader

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private AbstractChunk` | `parentChunk` |
    `private boolean` | `removeAfterReading` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractChunkReader (AbstractChunk parentChunk, boolean removeAfterReading)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getWriterUsedCounter()`
    `` | `public boolean` | `isValid()`
    `` | `public ChunkReader` | `next()`

- - ### Field Detail

    - #### private AbstractChunk parentChunk

    - #### private boolean removeAfterReading

  - ### Constructor Detail

    - #### public AbstractChunkReader(AbstractChunk parentChunk, boolean removeAfterReading)

  - ### Method Detail

    - #### @java.lang.Override public int getWriterUsedCounter()

    - #### @java.lang.Override public boolean isValid()

    - #### @java.lang.Override public ChunkReader next()